if exists ( Select * FROM sysobjects where id = object_id ( 'dbo.A_Settings_Save' ))
	Drop procedure dbo.A_Settings_Save
GO

Create  Procedure [dbo].[A_Settings_Save]
	@name nvarchar ( 255 ),
	@valstr nvarchar ( 4000 ) = null,
	@valint int = null,
	@valdouble float = null,
	@valdt datetime = null
as
begin
	Update A_Settings
	Set 	valuestr = @valstr, 
		valueint = @valint,
		valuedouble = @valdouble,
		valuedatetime = @valdt
	Where [Name] like @name

	if ( @@rowcount = 0 )
		Insert 
		Into A_Settings ( [Name], ValueStr, ValueInt, ValueDouble, ValueDateTime )
		Values ( @name, @valstr, @valint, @valdouble, @valdt )
end
GO


