if exists (select * from dbo.sysobjects where id = object_id(N'dbo.A_UserRoles_Load_Roles'))
begin
	Drop Procedure dbo.A_UserRoles_Load_Roles
end
GO

Create Procedure dbo.A_UserRoles_Load_Roles
As
Begin
	--      
	Delete from dbo.A_UserRoles_RolesOfUsers
	where IdUser in
	(
		select distinct ru.IdUser from dbo.A_UserRoles_RolesOfUsers ru
		left join dbo.A_Users us
		on ru.iduser = us.id
		where us.ID is null
	) 

	-- 
	Select Id, Name, BaseRole, Domination, UserCount From dbo.A_UserRoles_Roles a
	left join
	(
		Select IdRole, UserCount=Count ( * )
		From A_UserRoles_RolesOfUsers
		Group By IdRole
	) b
	On a.Id = b.IdRole
End
GO