if exists ( select * from sysobjects where id = object_id ( 'dbo.A_UserRoles_Load_Roles' ) )
	Drop procedure dbo.A_UserRoles_Load_Roles
GO

Create Procedure dbo.A_UserRoles_Load_Roles
As
Begin
	Select Id, Name, BaseRole, Domination, UserCount 
	From dbo.A_UserRoles_Roles a
	    left join
	    (
		Select IdRole, UserCount = Count ( * )
		From A_UserRoles_RolesOfUsers
		Group By IdRole ) b On a.Id = b.IdRole
	Order by Name
End
GO
