
if  exists ( select * from sysobjects where id = object_id ( 'dbo.A_WorkPlace_addresses_check' ) )
	Drop procedure [dbo].[A_WorkPlace_addresses_check] 
GO

Create PROCEDURE [dbo].[A_WorkPlace_addresses_check] 
	@wpid uniqueidentifier,
	@address nvarchar(100),
	@addressindex int = -1
As
Begin
	--           WP
	--   guid . 
	--    -1,   .    ,  .
	if ( @addressindex = 0 )
		Delete From A_Workplace_Address
		Where wpid = @wpid

	--    
	Select id 
	From A_WorkPlace_Address 
	Where address like @address 
		and wpid = @wpid

	--     - 
	if ( @@rowcount = 0 )
	begin
		Select Id 
		From A_Workplaces 
		Where ID = @wpid
		
		if ( @@rowcount > 0 )
			Insert into A_WorkPlace_address ([id], wpid, address) VALUES (NewID(), @wpid, @address)
	end
	
End
GO


if  exists ( select * from sysobjects where id = object_id ( 'dbo.A_Admin_StreamCopy' ) )
	Drop procedure [dbo].[A_Admin_StreamCopy] 
GO

Create procedure dbo.A_Admin_StreamCopy
	@namesrc nvarchar(1000),
	@namedst nvarchar(1000)
as
begin
	Delete From A_Streams
	Where Name like @namedst

	Insert into A_Streams ( Name, Stream )
		Select @namedst, Stream 
		From A_Streams
		Where Name like @namesrc
end
GO

